QGIS Application - Bug report #18535
[osx][layouts] "Page Setup" and "Print..." not doing anything
2018-03-25 02:36 PM - jb Peter

Status: Open

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.6.0 Regression?: No
Operating System: OS X El Captain Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26423
Description

| am not able to open the "Page Setup" and "Print..." windows on QGIS 3.0.0-3 layout window. Nothing happen when | click on these menu
items.

History

#1 - 2018-03-26 02:48 AM - Nyall Dawson
- Subject changed from QGIS 3.0.0-3 Layout - "Page Setup" and "Print..." not doing anything to [osx][layouts] "Page Setup" and "Print..." not doing
anything

Can't confirm on a non-OSX build. Likely an OSX specific issue.

#2 - 2018-03-29 11:00 PM - jb Peter

| did a bit more of research:

Command line shows a warning: "Warning: QPageSetupDialog: Cannot be used on non-native printers"

Could it be related to this post:
https://bugreports.qt.io/browse/QTBUG-28658

#3 - 2018-07-12 10:57 PM - Erik Marsh

| can confirm this bug for Mac OS 10.13.5 (High Sierra) and QGIS 3.2. The "Page Setup" and "Print..." do not do anything. Same thing if | right click the

print composer and select "Page properties..."

#4 - 2019-02-26 11:39 AM -s e

| have the same problem with QGIS 3.4 under Arch Linux. "Page Setup" and "Print..." do not do anything. Same warning at command line.

#5 - 2019-03-01 07:56 PM - Giovanni Manghi

- Category changed from Actions to Map Composer/Printing

- Priority changed from High to Normal

#6 - 2019-03-04 01:16 AM - G GIS
https://bugreports.qt.io/browse/QTBUG-28658

I'm also having this problem, on Mac OS 10.14. With QGIS 3.4.4 and QGIS 3.6.0, selecting "Page Setup" or "Print" in the Layout menu in the Layout
window doesn't do anything. If a project uses WMS layers, then after selecting Layout->Print a "Project Contains WMS Layers" notice pops up; clicking
Close also leads to nothing happening. I've also tried "Page Setup" and "Print" on Layout for projects that don't have WMS layers and still nothing
happens.

I tried QGIS 3.6.0 on Windows 10 and "Page Setup" and "Print" open the expected system dialog windows on that.
Looking through the source code, it appears that QT's QPrinter is used -- perhaps there's an issue with it on Mac OS.
Looking at console.app, this is logged after selecting either "Page Setup" or "Print" in a layout:

QGIS (LaunchServices)
27366555: RECEIVED OUT-OF-SEQUENCE NOTIFICATION: 401 vs 3096, 512, <private>

#7 - 2019-03-04 08:18 AM - Giovanni Manghi
- Affected QGIS version changed from 3.0.0 to 3.6.0

- Category changed from Map Composer/Printing to mac_os_specific
